classification
Title: Use specific asserts in test_decr
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-15 08:12 by serhiy.storchaka, last changed 2013-11-17 21:41 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_descr_asserts.patch serhiy.storchaka, 2013-11-16 22:09 review
test_descr_asserts_2.patch serhiy.storchaka, 2013-11-16 23:04
test_descr_asserts_2.patch serhiy.storchaka, 2013-11-17 12:59 review
Messages (7)
msg202925 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-15 08:12
The proposed patch makes test_descr use more specific asserts. This will provide more useful failure report.

This is the largest patch in the series.
msg203098 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 22:21
I left a few comments on rietveld.
msg203103 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-16 23:04
Updated patch addresses Ezio's comments.
msg203143 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-17 12:59
Try to regenerate the patch for Rietveld.
msg203206 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-17 18:46
New patch LGTM.
In addition to the assertHasNoAttr that I suggested, on IRC David suggested assertNotHasAttr to mimic assertNotIn and assertNotIsinstance, and someone else suggested assertNoAttr.
Since it's only used within this file and all the suggestions are equally understandable to me, I don't think it matters too much, but feel free to change it if you think any of the alternative is better.
msg203213 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-17 21:39
New changeset 2407ecebcf7d by Serhiy Storchaka in branch '3.3':
Issue #19603: Use specific asserts in test_decr.
http://hg.python.org/cpython/rev/2407ecebcf7d

New changeset 6049c954a703 by Serhiy Storchaka in branch 'default':
Issue #19603: Use specific asserts in test_decr.
http://hg.python.org/cpython/rev/6049c954a703

New changeset 38fcb9a63398 by Serhiy Storchaka in branch '2.7':
Issue #19603: Use specific asserts in test_decr.
http://hg.python.org/cpython/rev/38fcb9a63398
msg203214 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-17 21:41
Mimicing assertNotIsinstance looks fine. Thank you for your review.
History
Date User Action Args
2013-11-17 21:41:07serhiy.storchakasetstatus: open -> closed
messages: + msg203214

assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2013-11-17 21:39:40python-devsetnosy: + python-dev
messages: + msg203213
2013-11-17 18:46:17ezio.melottisetnosy: + r.david.murray
messages: + msg203206
2013-11-17 12:59:41serhiy.storchakasetfiles: + test_descr_asserts_2.patch

messages: + msg203143
2013-11-16 23:04:48serhiy.storchakasetfiles: + test_descr_asserts_2.patch

messages: + msg203103
2013-11-16 22:21:40ezio.melottisetnosy: + ezio.melotti
messages: + msg203098
2013-11-16 22:09:14serhiy.storchakasetfiles: + test_descr_asserts.patch
keywords: + patch
2013-11-15 08:14:58serhiy.storchakalinkissue16510 dependencies
2013-11-15 08:12:07serhiy.storchakacreate